# List all errors for a custom object bulk job Lists all errors for a custom object bulk job. Endpoint: GET /objects/jobs/{id}/errors Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) API version that determines the response schema. The default version is used if this parameter is not included. Specify Zuora-Version in the request header if you expect a specific response schema. ## Path parameters: - `id` (string, required) The ID of the custom object bulk job that you retrieve errors for. ## Response 200 fields (application/json): - `errors` (array, required) All errors for a custom object bulk job. - `errors.code` (integer) The error code. Example: 71012520 - `errors.message` (string) The error message. Example: "input string \"123\" is not a valid UUID" - `errors.record` (object) Record data from an object Example: {"DeviceId__c":"10101011"} - `errors.record.CreatedById` (string) The creator's Id - `errors.record.CreatedDate` (string) The record creation time in the date-time format - `errors.record.Id` (string) The unique Id of the custom object record - `errors.record.UpdatedById` (string) The modifier's Id - `errors.record.UpdatedDate` (string) The record modification time in the date-time format - `errors.record.type` (string) The type of the custom object record. It is the API name of the custom object definition. - `errors.row` (integer) The CSV record row number. The custom object record data starts at the second row because the first row is the CSV header. Example: 12 ## Response 404 fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.